ru.bitel.bgbilling.kernel.contract.object.common.event

## Class ContractObjectTypeModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ContractObjectType>
    - - ru.bitel.bgbilling.kernel.contract.object.common.event.ContractObjectTypeModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractObjectTypeModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<ContractObjectType>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractObjectTypeModifiedEvent()`
    `` | `ContractObjectTypeModifiedEvent(int moduleId, int userId, ContractObjectType oldValue, ContractObjectType newValue)`

  - ### Method Summary

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractObjectTypeModifiedEvent

          protected ContractObjectTypeModifiedEvent()

    - #### ContractObjectTypeModifiedEvent

          public ContractObjectTypeModifiedEvent(int moduleId,
                                                 int userId,
                                                 ContractObjectType oldValue,
                                                 ContractObjectType newValue)